---
title: HTMLDataElement.value
slug: Web/API/HTMLDataElement/value
tags:
  - API
  - HTML DOM
  - HTMLDataElement
  - Property
  - Reference
  - data
  - value
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>value</code></strong> property of the {{domxref("HTMLDataElement")}} interface returns a {{domxref("DOMString")}} reflecting the {{htmlattrxref("value", "data")}} HTML attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>aValue</em> = <em>htmlDataElement</em>.<em>value</em>
<em>htmlDataElement</em>.<em>value</em> = <em>aValue</em></pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-data-value", "HTMLDataElement.value")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C','text-level-semantics.html#dom-data-value','value')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLDataElement.value")}}</p>
